# 32/64bit spec-file
#
%define name	mjpegtools
%define version	2.1.0
%define release %mkrel %rel
%define api	2.1
%define major 0
%define libname %mklibname %name%{api}_ %major
%define develname %mklibname -d %name
%define filename %name-%version

Name:		%{name}
Version:	%{version}
Release:	%mkrel 3
Summary:	Tools for recording, editing, playing back and mpeg-encoding video under linux
Summary(de):	MJPEG-Tools zur Erfassung, Bearbeitung, Wiedergabe und MPEG-Video-Codierung
License:	GPLv2+
Url:		http://mjpeg.sourceforge.net
Group:		Video
Source: 	http://prdownloads.sourceforge.net/mjpeg/%{filename}.tar.xz
Patch1: 	mjpegtools-1.9.0rc1-x86_64.patch
Patch4:		mjpegtools-1.9.0-link.patch
Requires:	%{libname} = %{version}
#-------------------------------------------
BuildRequires:	nasm
BuildRequires:  autoconf2.5
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}SDL_gfx-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dv-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}quicktime-devel
BuildRequires: %{_lib}x11-devel
#-----------------------------------------
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The MJPEG-tools are a basic set of utilities for recording, editing, 
playing back and encoding (to mpeg) video under linux. Recording can
be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
DC10(+), Marvel G200/G400), these can also playback video using the
hardware. With the rest of the tools, this video can be edited and
encoded into mpeg1/2 or divx video.

%description -l de
Die MJPEG-Tools sind eine Reihe grundlegender Werkzeuge zur Erfassung, 
Bearbeitung,Wiedergabe und Kodierung (in MPEG)von Video unter Linux.

%package -n	%{libname}
Summary:	Main library for %{name}
Summary(de):	Hauptbibliothek für %{name}
Group:		System/Libraries
Provides:	libmjpegtools = %version-%release
Obsoletes:	%{mklibname %name 2.0 0}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%description -n	%{libname} -l de
Dieses Paket enthält die Bibliotheken die zum Ausführen von Programmen, 
die dynamisch mit %{name} verknüpft sind, benötigt werden.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Summary(de):	Header von %name zur Entwicklung
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %version-%release
Obsoletes:	libmjpegtools0-devel < %version-%release
Obsoletes:	%{mklibname %name 2.0 0}-devel < %version-%release

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%description -n	%{develname} -l de
Dieses Paket enthält die Header, welche von Programmierern zum Entwickeln 
von Anwendungen welche %{name} verwenden benötigt werden. 

%prep
%setup -q -n %filename
%patch1 -p1
%patch4 -p0

libtoolize --copy --force
autoreconf
# toolame isn't in Mandriva, mp2enc is, so use that
perl -p -i -e 's/\-\"toolame\"/\-\"mp2enc\"/g' scripts/lav2mpeg

%build
export CPPFLAGS="%{optflags} -fpermissive"
export CFLAGS="%{optflags}"
export PTHREAD_LIBS="-lpthread"
# build i686/mmx dynamic library
%ifarch %{ix86}
mkdir build-i686
pushd build-i686
CONFIGURE_TOP=.. %configure2_5x --enable-simd-accel \
  --prefix=%_prefix --libdir=%_libdir --without-v4l --disable-static
make
popd
%endif
# build regular package

%if %{_target_cpu} == "i686"
%else
mkdir build-%{_target_cpu}
%endif

pushd build-%{_target_cpu}
CONFIGURE_TOP=.. %configure2_5x --disable-simd-accel \
  --libdir=%_libdir --without-v4l --disable-static
make
popd

%install
rm -rf %buildroot
%ifarch %{ix86}
pushd build-i686
%makeinstall_std
popd
mkdir -p $RPM_BUILD_ROOT/%_libdir/sse2
mv $RPM_BUILD_ROOT/%_libdir/*.so.* $RPM_BUILD_ROOT/%_libdir/sse2
%endif
pushd build-%{_target_cpu}
%makeinstall_std
popd
cp mpeg2enc/mpeg2syntaxcodes.h %buildroot%_includedir/mjpegtools/

#drop uneeded files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%post
%_install_info mjpeg-howto.info

%postun
%_remove_install_info mjpeg-howto.info


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog CHANGES COPYING HINTS INSTALL NEWS PLANS README* TODO
%_bindir/*
%{_mandir}/man1/*
%_infodir/mjpeg-howto.info*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*-%api.so.%{major}*
%ifarch %{ix86}
%{_libdir}/sse2/lib*-%api.so.%{major}*
%endif

%files -n %{develname}
%defattr(-,root,root)
%_mandir/man5/yuv4mpeg.5*
%{_includedir}/mjpegtools
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so


%changelog
* Fri Aug 22 2014 bb <bb> 2.1.0-3pclos2014
- rebuild against updated libs

* Sat Dec 28 2013 bb <bb> 2.1.0-2pclos2013
- drop .la files
- drop post ldconfig script
- adjust BR
- add disable-static in build options

* Wed Dec 11 2013 daniel <meisssw01 at gmail.com> 2.1.0-1pclos2013
- upstream tarball
- added german synaptic description

* Wed Feb 13 2013 pinoc <vogtpet at gmail.com> 2.0.0-3pclos2013
- rebuild on 64

* Wed Aug 22 2012 Neal <nealbrks0 at gmail dot com> 2.0.0-2pclos2012
- change BuildRequires:  %{_lib}SDL_gfx-devel to %{_lib}SDL_gfx15-devel
- process

* Tue Aug 21 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.0.0-2pclos2012
- rebuild for 32bit
- added xz compression
- added %{_lib} macros

* Mon Aug 08 2011 Texstar <texstar at gmail.com> 2.0.0-1pclos2011
- 2.0.0
